echo "##### Install Python Virtual Environment #####"
if command -v apt-get  &> /dev/null; then 
        echo "This is APT-base system(Debian/Ubuntu)" 
		sudo apt update
		sudo apt install python3-venv
fi

echo "##### create VirtualEnv #####"
sudo python3 -m venv certbotEnv

echo "##### installing acme depencency component...#####"
sudo /opt/CertbotBashRequires/certbotEnv/bin/pip install -r acme_requirements.txt #--proxy http://proxy_Address:proxy_Port

echo "##### installing acme component...#####"
sudo /opt/CertbotBashRequires/certbotEnv/bin/pip install acme-2.3.0-py3-none-any.whl

echo "##### install certbot dependency component...#####"
sudo /opt/CertbotBashRequires/certbotEnv/bin/pip install -r certbot_requirements.txt #--proxy http://proxy_Address:proxy_Port

echo "##### install certbot component...#####"
sudo /opt/CertbotBashRequires/certbotEnv/bin/pip install certbot-2.3.0-py3-none-any.whl

echo "##### create link certbot to certbotEnv/certbot...#####"
sudo ln -s /opt/CertbotBashRequires/certbotEnv/bin/certbot /usr/bin/certbot

echo "##### show certbot version #####"
certbot --version
